---
search:
  tags:
    - Cart
    - GET
seo:
  description: >-
    Returns a paginated list of saved external cart references for the
    authenticated… Reference for the GET /api/v1/{app_id}/carts endpoint in the
    Customers API.
sidebar:
  label: List saved carts for authenticated user
  badge: GET
title: List saved carts for authenticated user
type: openapi-operation
---
Returns a paginated list of saved external cart references for the authenticated user.

`GET /api/v1/{app_id}/carts`

**Responses**

- `200` — Paginated list of carts
- `400` — Invalid request parameters
- `401` — Unauthorized
- `500` — Internal server error

Response example, 200:

```json
{
  "items": [
    {
      "cart_id": "string",
      "created_at": "string",
      "id": "string",
      "source": "string",
      "updated_at": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total_items": 0,
  "total_pages": 0
}
```
